<?php
global $la_zyra_loop;
$thumbnail_size = !empty($la_zyra_loop['image_size']) ? $la_zyra_loop['image_size'] : 'thumbnail';
$title_tag      = !empty($la_zyra_loop['title_tag']) ? $la_zyra_loop['title_tag'] : 'h3';
$show_excerpt   = ( isset($la_zyra_loop['excerpt_length']) && 0 < absint($la_zyra_loop['excerpt_length']) ) ? true : false;
$style          = isset($la_zyra_loop['loop_style']) ? $la_zyra_loop['loop_style'] : 1;

$post_class     = array('loop-item','grid-item','blog_item');
$post_class[]   = ( $show_excerpt ? 'show' : 'hide' ) .  '-excerpt';
if(!has_post_thumbnail()){
    $post_class[] = 'no-featured-image';
}
?>
<article <?php post_class($post_class); ?>>
    <div class="blog_item--inner item-inner">
        <div class="blog_item--inner2 item-inner-wrap">
            <?php if(has_post_thumbnail()): ?>
                <div class="blog_item--thumbnail blog_item--thumbnail-with-effect">
                    <a href="<?php the_permalink();?>">
                        <?php LA_Zyra()->images->the_post_thumbnail(get_the_ID(), $thumbnail_size); ?>
                        <span class="pf-icon pf-icon-link"></span>
                        <div class="item--overlay"></div>
                    </a>
                </div>
            <?php endif; ?>
            <div class="blog_item--info clearfix">
                <?php
                la_zyra_entry_meta_item_category_list('<div class="blog_item--category-link">', '</div>', '');
                ?>
                <div class="blog_item--title entry-header">
                    <?php the_title( sprintf( '<%s class="entry-title"><a href="%s">',$title_tag, esc_url( get_the_permalink() ) ), sprintf('</a></%s>', $title_tag) ); ?>
                </div>
                <div class="blog_item--meta entry-meta clearfix"><?php
                    la_zyra_entry_meta_item_author();
                    la_zyra_entry_meta_item_postdate();
                    ?></div><!-- .entry-meta -->
                <?php if($show_excerpt): ?>
                    <div class="blog_item--excerpt entry-excerpt"><?php the_excerpt(); ?></div>
                <?php endif; ?>
                <div class="blog_item--meta-footer clearfix">
                    <a class="btn btn-style-flat btn-size-md btn-color-secondary btn-shape-square" href="<?php the_permalink();?>"><?php echo esc_html_x('Read more', 'front-view', 'la-zyra'); ?></a>
                    <div class="la-sharing-posts">
                        <span><i class="fa fa-share-alt"></i><span><?php echo esc_html_x('Share now', 'front-view', 'la-zyra'); ?></span></span>
                        <?php la_zyra_social_sharing(get_the_permalink(), get_the_title(), (has_post_thumbnail() ? get_the_post_thumbnail_url(get_the_ID(), 'full') : '')); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</article>